Package com.complexible.stardog.virtual.api

# Class StardogMappings

java.lang.Object
com.complexible.stardog.virtual.api.StardogMappings

@Deprecated public class StardogMappings extends Object
Deprecated.

Since:
  3.1
Version:
  6.0
Author:
  Evren Sirin

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StardogMappings()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Set<Statement>`
  `read(File theFile)`
  Deprecated.
  `static Set<Statement>`
  `read(File theFile, String theSep)`
  Deprecated.
  `static Set<Statement>`
  `read(InputStream theInput, RDFFormat theFormat)`
  Deprecated.
  `static Pair<Namespaces,Set<Statement>>`
  `read(Reader theInput, RDFFormat theFormat)`
  Deprecated.
  `static String`
  `write(Set<Statement> theModel)`
  Deprecated.
  `static String`
  `write(Set<Statement> theStatements, Namespaces theNamespaces)`
  Deprecated.
  `static void`
  `write(Set<Statement> theModel, Namespaces theNamespaces, OutputStream theWriter)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StardogMappings

    public StardogMappings()
    Deprecated.

- ## Method Details

  - ### read

    public static Set<Statement> read(File theFile) throws Exception
    Deprecated.
    Throws:
      `Exception`

  - ### read

    public static Set<Statement> read(File theFile, String theSep) throws Exception
    Deprecated.
    Throws:
      `Exception`

  - ### read

    public static Set<Statement> read(InputStream theInput, RDFFormat theFormat) throws IOException
    Deprecated.
    Throws:
      `IOException`

  - ### read

    public static Pair<Namespaces,Set<Statement>> read(Reader theInput, RDFFormat theFormat) throws IOException
    Deprecated.
    Throws:
      `IOException`

  - ### write

    public static String write(Set<Statement> theStatements, Namespaces theNamespaces) throws eu.optique.api.mapping.impl.InvalidR2RMLMappingException
    Deprecated.
    Throws:
      `eu.optique.api.mapping.impl.InvalidR2RMLMappingException`

  - ### write

    public static String write(Set<Statement> theModel) throws eu.optique.api.mapping.impl.InvalidR2RMLMappingException
    Deprecated.
    Throws:
      `eu.optique.api.mapping.impl.InvalidR2RMLMappingException`

  - ### write

    public static void write(Set<Statement> theModel, Namespaces theNamespaces, OutputStream theWriter) throws eu.optique.api.mapping.impl.InvalidR2RMLMappingException
    Deprecated.
    Throws:
      `eu.optique.api.mapping.impl.InvalidR2RMLMappingException`